Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.feature
Class PrettyLoggingInInterceptor

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>
          org.apache.cxf.interceptor.AbstractLoggingInterceptor
              org.apache.cxf.interceptor.LoggingInInterceptor
                  org.mule.module.cxf.feature.PrettyLoggingInInterceptor

All Implemented Interfaces:
  org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.message.Message>

    public class PrettyLoggingInInterceptor

extends org.apache.cxf.interceptor.LoggingInInterceptor

Takes the log output from the standard CXF LoggingInterceptor, disassembles it, pretty-prints the XML payload, then puts it all back together again.

Field Summary

Fields inherited from class org.apache.cxf.interceptor.AbstractLoggingInterceptor
`limit, LOG, prettyLogging, writer`

Constructor Summary
`PrettyLoggingInInterceptor()`
`PrettyLoggingInInterceptor(int lim)`
`PrettyLoggingInInterceptor(PrintWriter w)`
`PrettyLoggingInInterceptor(String phase)`

Method Summary
`protected String` | `transform(String originalLogString)`

Methods inherited from class org.apache.cxf.interceptor.LoggingInInterceptor
`handleMessage, logging`

Methods inherited from class org.apache.cxf.interceptor.AbstractLoggingInterceptor
`getLimit, getPrintWriter, isPrettyLogging, log, setLimit, setOutputLocation, setPrettyLogging, setPrintWriter, writePayload`

Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor
`addAfter, addAfter, addBefore, addBefore, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrettyLoggingInInterceptor

    public PrettyLoggingInInterceptor()

### PrettyLoggingInInterceptor

    public PrettyLoggingInInterceptor(String phase)

### PrettyLoggingInInterceptor

    public PrettyLoggingInInterceptor(int lim)

### PrettyLoggingInInterceptor

    public PrettyLoggingInInterceptor(PrintWriter w)

Method Detail

### transform

    protected String transform(String originalLogString)

  Overrides:
    `transform` in class `org.apache.cxf.interceptor.AbstractLoggingInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.